Package org.eclipse.net4j.util.event

# Class PropertiesEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.event.PropertiesEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`, `IPropertiesEvent`

public class PropertiesEvent extends Event implements IPropertiesEvent

Since:
  3.29
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.eclipse.net4j.util.event.IPropertiesEvent

`PROP_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`PropertiesEvent(INotifier notifier)`
`PropertiesEvent(INotifier notifier, Map<String,Object> properties)`

## Method Summary

Modifier and Type
Method
Description
`final <T> PropertiesEvent`
`addProperty(Class<T> name, T value)`
`final PropertiesEvent`
`addProperty(Object value)`
`final PropertiesEvent`
`addProperty(String name, Object value)`
`PropertiesEvent`
`fire()`
`protected String`
`formatAdditionalParameters()`
`final Map<String,Object>`
`modifiableProperties()`
`final Map<String,Object>`
`properties()`
`final PropertiesEvent`
`removeProperties(String... names)`
`final PropertiesEvent`
`removeProperty(String name)`
`final PropertiesEvent`
`setType(String type)`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

### Methods inherited from interface org.eclipse.net4j.util.event.IPropertiesEvent

`type`

## Constructor Details

### PropertiesEvent

public PropertiesEvent(INotifier notifier, Map<String,Object> properties)

### PropertiesEvent

public PropertiesEvent(INotifier notifier)

## Method Details

### properties

public final Map<String,Object> properties()

Specified by:
  `properties` in interface `IPropertiesEvent`

### modifiableProperties

public final Map<String,Object> modifiableProperties()

### setType

public final PropertiesEvent setType(String type)

### addProperty

public final PropertiesEvent addProperty(Object value)

### addProperty

public final <T> PropertiesEvent addProperty(Class<T> name, T value)

### addProperty

public final PropertiesEvent addProperty(String name, Object value)

### removeProperty

public final PropertiesEvent removeProperty(String name)

### removeProperties

public final PropertiesEvent removeProperties(String... names)

### fire

public PropertiesEvent fire()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `Event`